﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class AbsoluteLayoutDemoPage : ContentPage
    {
        Label text1;
        Label text2;
        bool isCurrentPage;

        public AbsoluteLayoutDemoPage()
        {
            Label header = new Label
            {
                Text = "AbsoluteLayout",
				FontSize = 10,
				FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };
            Slider sl1 = new Slider
            {
                Maximum = 100
            };
            sl1.ValueChanged += Sl1_ValueChanged;

            Slider sl2 = new Slider
            {
                Maximum=1000
            };
            sl2.ValueChanged += Sl2_ValueChanged;

            AbsoluteLayout absoluteLayout = new AbsoluteLayout
            {
                BackgroundColor = Color.Blue.WithLuminosity(0.99),
                VerticalOptions = LayoutOptions.FillAndExpand
            };

            // Create two Labels for animating.
            text1 = new Label
            {
                Text = "AbsoluteLayout",
                TextColor = Color.Black,
                BackgroundColor=Color.Yellow,
                FontSize=20
            };
            absoluteLayout.Children.Add(text1);
            AbsoluteLayout.SetLayoutFlags(text1,
                AbsoluteLayoutFlags.PositionProportional);

            text2 = new Label
            {
                Text = "AbsoluteLayout",
                TextColor = Color.Black,
                BackgroundColor = Color.Yellow
            };
            absoluteLayout.Children.Add(text2);
            AbsoluteLayout.SetLayoutFlags(text2,
                AbsoluteLayoutFlags.PositionProportional);

            // Build the page.
            this.Content = new StackLayout
            {
                Children =
                {
                    header,
                    sl1,sl2,
                    absoluteLayout
                }
            };
        }

        private void Sl2_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            AbsoluteLayout.SetLayoutBounds(text2, new Rectangle(0,0,e.NewValue , e.NewValue ));
            text2.Text = "x= " + (e.NewValue ).ToString("f2") + " y= " + (e.NewValue).ToString("f3");
        }

        private void Sl1_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            AbsoluteLayout.SetLayoutBounds(text1, new Rectangle(e.NewValue / 100.0, e.NewValue / 100.0,-1,-1));
            text1.Text = "x= " + (e.NewValue / 100.0).ToString("f2") + " y= " + (e.NewValue / 100.0).ToString("f3");
        }
        //protected override void OnAppearing()
        //{
        //    base.OnAppearing();
        //    isCurrentPage = true;
        //    DateTime beginTime = DateTime.Now;

        //    Device.StartTimer(TimeSpan.FromSeconds(1.0 / 30), () =>
        //   {
        //       double seconds = (DateTime.Now - beginTime).TotalSeconds;
        //       double offset = 1 - Math.Abs((seconds % 2) - 1);  // Geht zwischen 0 und eins dreieckförmig in 2 sec einmal rauf und runter.
        //        text1.Text = AbsoluteLayout.AutoSize.ToString("f3");
        //       text2.Text = offset.ToString("f3");
        //       AbsoluteLayout.SetLayoutBounds(text1,
        //           new Rectangle(offset, offset,
        //               AbsoluteLayout.AutoSize, AbsoluteLayout.AutoSize));

        //       AbsoluteLayout.SetLayoutBounds(text2,
        //           new Rectangle(1 - offset, offset,
        //               AbsoluteLayout.AutoSize, AbsoluteLayout.AutoSize));

        //       return isCurrentPage;
        //   });
        //}

        //protected override void OnDisappearing()
        //{
        //    base.OnDisappearing();
        //    isCurrentPage = false;
        //}
    }
}
