﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class ContentViewDemoPage : ContentPage
    {
        Label intLab;
        ContentView contentView;
        public ContentViewDemoPage()
        {
            Label header = new Label
            {
                Text = "ContentView",
				FontSize = 50,
				FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };
            Slider sl = new Slider
            {
                VerticalOptions = LayoutOptions.Start,
                Maximum=360
            };
            sl.ValueChanged += Sl_ValueChanged;

            intLab = new Label
            {
                Text = "The ContentView (colored aqua in this " +
                           "example) might not seem very useful " +
                           "because it can have a single child " +
                           "(in this example a Label) and doesn't " +
                           "do much else. But ContentView is sometimes a " +
                           "convenient way of providing a background " +
                           "color or giving a little margin to its " +
                           "child through its own Padding property.",
                TextColor = Color.Purple,
                
            };
            contentView = new ContentView
            {
                BackgroundColor = Color.Aqua,
                Padding = new Thickness(25),
                HorizontalOptions = LayoutOptions.Fill,
                VerticalOptions = LayoutOptions.CenterAndExpand,
                Content = intLab
            };

            // Build the page.
            this.Content = new StackLayout
            {
                Children = 
                {
                    header,
                    sl,
                    contentView
                }
            };
        }

        private void Sl_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            //intLab.Rotation = e.NewValue;
            contentView.RotationX =  e.NewValue;
        }
    }
}
